var _tests$AS_SIMPLE_SLID;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/

/* eslint-disable react/display-name*/
import * as React from 'react'; // Styled elements

import { StatefulSlider as Slider } from './index.js';
import tests from './examples-list.js';
export var suite = 'Slider Test Suite';
export default (_tests$AS_SIMPLE_SLID = {}, _defineProperty(_tests$AS_SIMPLE_SLID, tests.AS_SIMPLE_SLIDER, function () {
  return React.createElement("div", {
    style: {
      maxWidth: '500px'
    }
  }, React.createElement(Slider, null));
}), _defineProperty(_tests$AS_SIMPLE_SLID, tests.AS_SIMPLE_RANGE_SLIDER, function () {
  return React.createElement("div", {
    style: {
      maxWidth: '500px'
    }
  }, React.createElement(Slider, {
    initialState: {
      value: [25, 60]
    }
  }));
}), _defineProperty(_tests$AS_SIMPLE_SLID, tests.AS_DISABLED, function () {
  return React.createElement("div", {
    style: {
      maxWidth: '500px'
    }
  }, React.createElement(Slider, {
    initialState: {
      value: [50]
    },
    disabled: true
  }));
}), _defineProperty(_tests$AS_SIMPLE_SLID, tests.AS_CUSTOM_RANGE_AND_STEP, function () {
  return React.createElement("div", {
    style: {
      maxWidth: '500px'
    }
  }, React.createElement(Slider, {
    initialState: {
      value: [0]
    },
    step: 5,
    min: -300,
    max: 300
  }));
}), _defineProperty(_tests$AS_SIMPLE_SLID, tests.AS_SLIDER_WITH_OVERRIDES, function () {
  return React.createElement("div", {
    style: {
      maxWidth: '500px'
    }
  }, React.createElement(Slider, {
    initialState: {
      value: [50]
    },
    overrides: {
      InnerThumb: function InnerThumb(_ref) {
        var $value = _ref.$value,
            $thumbIndex = _ref.$thumbIndex;
        return $value[$thumbIndex];
      },
      ThumbValue: function ThumbValue() {
        return null;
      },
      Thumb: {
        style: function style(_ref2) {
          var $value = _ref2.$value,
              $thumbIndex = _ref2.$thumbIndex,
              $min = _ref2.$min,
              $max = _ref2.$max;
          return {
            height: '36px',
            width: '36px',
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'center',
            borderRadius: '36px',
            border: '3px solid #ccc',
            backgroundColor: '#fff'
          };
        }
      }
    }
  }));
}), _tests$AS_SIMPLE_SLID);